package app.closer.data.local

import androidx.room.Database
import androidx.room.RoomDatabase
import androidx.room.TypeConverters
import app.closer.data.local.converters.Converters
import app.closer.data.local.entity.CategoryEntity
import app.closer.data.local.entity.DatePlanEntity
import app.closer.data.local.entity.DatePlanPreferenceEntity
import app.closer.data.local.entity.QuestionEntity

@Database(
    entities = [QuestionEntity::class, CategoryEntity::class, DatePlanEntity::class, DatePlanPreferenceEntity::class],
    version = 1,
    exportSchema = true
)
@TypeConverters(Converters::class)
abstract class AppDatabase : RoomDatabase() {
    abstract fun questionDao(): QuestionDao
    abstract fun categoryDao(): CategoryDao
    abstract fun datePlanPreferenceDao(): DatePlanPreferenceDao
    abstract fun datePlanDao(): DatePlanDao
}
